Bug 474045 - new upstream version 4.28; use cyrillic non-script characters
new upstream version 4.28; use cyrillic non-script characters
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: terminus-font (Show other bugs)
10
All Linux
high Severity medium
: ---
: ---
Assigned To: Hans Ulrich Niedermann
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-01 15:44 EST by Lev Shamardin
Modified: 2008-12-24 13:42 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-24 13:42:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sample letters de, ve, ghe, i in different fonts (15.07 KB, image/png)
2008-12-07 06:58 EST, Lev Shamardin
no flags Details

  None (edit)
Description Lev Shamardin 2008-12-01 15:44:05 EST
Description of problem:
There is a newer upstream version 4.28 available on the font homepage: http://www.is-vn.bg/hamster/

Version-Release number of selected component (if applicable):
terminus-font-x11-4.26-3.fc10.noarch

How reproducible:
always

Steps to Reproduce:
1. yum install terminus-font-x11
  
Actual results:
terminus-font-x11-4.26-3.fc10.noarch

Expected results:
terminus-font-x11-4.28-4.fc10.noarch

Additional info:
As a Cyrillic user I would also ask you to include these patches by default: terminus-font-4.28-dv1.diff.gz, terminus-font-4.28-ge1.diff.gz, terminus-font-4.28-ij1.diff.gz. This would give the font a more usual and common look, at least for Russian users. These patches are available at the project homepage.
Comment 1 TK009 2008-12-02 22:22:36 EST
This bug has been triaged.
Comment 2 Hans Ulrich Niedermann 2008-12-03 17:22:23 EST
I'll build an update to 4.28 shortly.

About those patches...

As someone who is proud of being able to decipher "Днепр" written on the side of a ship when given 5 minutes to figure out the letters, I cannot pass any judgement on the suitability of any patches affecting cyrillic letters.

As far as I know, cyrillic letters are used in at least Russia, Bulgaria, and Serbia. I am guessing there might be slight differences in the respective languages' letters, which those patches might address.

So... those patches might make the letters look worse for non-Russians while improving them for Russians, and then the non-Russians will file a bug...

The home page says

  terminus-font-4.28-ge1.diff.gz - apply when creating an international package

which appears to make sense to me to include in the Fedora package, however I'd like a little more information on the ge1 and ij1 patches.
Comment 3 Lev Shamardin 2008-12-07 06:57:45 EST
I can provide some justification why I ask for these patches.

These patches change the shape of the characters which are (in unicode notation) cyrillic small letter ve, cyrillic small letter de, cyrillic small letter ghe and cyrillic small letter i.

The default shape of these letters in terminus font is more common for a written script shape, or for italic shape of some fonts. All other cyrillic letter shapes of this font are more common for a printed script shapes. I can provide you with examples of these letters in other printed and scripted fonts.

I attach a file which has samples of these four letters rendered with different fonts. If you compare the shapes you can conclude that the shape of these letters without patches corresponds more to an italic or script font, but not for a regular face. That is why I'm asking to apply these patches by default.
Comment 4 Lev Shamardin 2008-12-07 06:58:31 EST
Created attachment 326038 [details]
sample letters de, ve, ghe, i in different fonts
Comment 5 Hans Ulrich Niedermann 2008-12-07 08:04:34 EST
Now that I can actually see it, this makes a lot of sense for a general use font.

Thanks a lot for this insightful explanation.

New packages are being built right now.
Comment 6 Fedora Update System 2008-12-07 08:04:39 EST
terminus-font-4.28-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/terminus-font-4.28-1.fc9
Comment 7 Fedora Update System 2008-12-07 08:04:41 EST
terminus-font-4.28-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/terminus-font-4.28-1.fc10
Comment 8 Fedora Update System 2008-12-08 08:00:23 EST
terminus-font-4.28-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update terminus-font'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-10928
Comment 9 Fedora Update System 2008-12-08 08:04:13 EST
terminus-font-4.28-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update terminus-font'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-10945
Comment 10 Fedora Update System 2008-12-24 13:41:57 EST
terminus-font-4.28-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2008-12-24 13:42:51 EST
terminus-font-4.28-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.